Selalu Error saat Apt-get install

Pertanyaan umum seputar distribusi Ubuntu yang menjadi distro wajib members ubuntu-indonesia.com
User avatar
R_knight
Posts: 26
Joined: 20 May 2013, 09:25
Location: mataram, indonesia
Contact:

Selalu Error saat Apt-get install

Postby R_knight » 20 May 2013, 09:37

Aga-agan yang udah master ada yang tau gk kenapa kalo saya tulis syntax
$sudo apt-get install
pasti selalu error.
disuruh untuk coba syntax
$sudo apt-get -f install
tapi pakai -f juga error :(
ini masalahnya karna apa ???
dan cara merepairnya gimana ???
User avatar
abu_unaisah
Posts: 1621
Joined: 24 Nov 2011, 14:07

Re: Selalu Error saat Apt-get install

Postby abu_unaisah » 20 May 2013, 09:48

kemungkinan masalah depedensi
silahkan perbaiki sources.list, saya biasanya pakai mirror kambing

kira2 isinya :
deb http://kambing.ui.ac.id/ubuntu/ raring main restricted universe multiverse
deb-src http://kambing.ui.ac.id/ubuntu/ raring main restricted universe multiverse

deb http://kambing.ui.ac.id/ubuntu/ raring-updates main restricted universe multiverse
deb-src http://kambing.ui.ac.id/ubuntu/ raring-updates main restricted universe multiverse

deb http://kambing.ui.ac.id/ubuntu/ raring-backports main restricted universe multiverse
deb-src http://kambing.ui.ac.id/ubuntu/ raring-backports main restricted universe multiverse

deb http://kambing.ui.ac.id/ubuntu/ raring-security main restricted universe multiverse
deb-src http://kambing.ui.ac.id/ubuntu/ raring-security main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu raring partner
deb-src http://archive.canonical.com/ubuntu raring partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu raring main
deb-src http://extras.ubuntu.com/ubuntu raring main


ganti kata raring dg precise atau versi lain

kemudian lakukan:
sudo apt-get update
sudo apt-get install -f

baca2 http://ubuntu-indonesia.com/public/Eboo ... V01.tar.gz
User avatar
R_knight
Posts: 26
Joined: 20 May 2013, 09:25
Location: mataram, indonesia
Contact:

Re: Selalu Error saat Apt-get install

Postby R_knight » 20 May 2013, 10:21

waduh itu gmana cara makenya ya ???
ini contoh mesagenya

root@Acer:/home/made# sudo apt-get install mc
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
libpam-winbind : Depends: libwbclient0 (= 2:3.6.3-2ubuntu2) but 2:3.6.3-2ubuntu2.6 is to be installed
Depends: samba-common (= 2:3.6.3-2ubuntu2) but 2:3.6.3-2ubuntu2.6 is to be installed
mc : Depends: mc-data (= 3:4.8.1-2ubuntu1) but it is not going to be installed
winbind : Depends: libwbclient0 (= 2:3.6.3-2ubuntu2) but 2:3.6.3-2ubuntu2.6 is to be installed
Depends: samba-common (= 2:3.6.3-2ubuntu2) but 2:3.6.3-2ubuntu2.6 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
User avatar
Malsasa
Posts: 2971
Joined: 07 Jun 2010, 22:37
Location: Mojokerto, Indonesia
Contact:

Re: Selalu Error saat Apt-get install

Postby Malsasa » 20 May 2013, 10:35

Pertama: apakah sumber repo yang akang pakai sudah benar? Jika Ubuntu akang 12.04 tetapi akang memakai repo yang bukan untuk 12.04, misalnya 10.10, apalagi menggunakan yang selain Ubuntu, maka tidak bakal bisa berjalan. Ini dugaan saya yang terjadi pada sistem akang.

Kedua: akang sudah benar menetapkan repo. Tetapi versi repo akang sudah lawas dan sudah dihapus dari server. Maka usaha sebanyak apa pun akan percuma.

Solusi yang pertama adakah yang seperti dibilang akang yogi di atas. Solusi yang kedua adalah memakai repo old atau akang upgrade Ubuntu.

Dari dua dugaan ini, manakah yang merupakan masalah akang?
User avatar
R_knight
Posts: 26
Joined: 20 May 2013, 09:25
Location: mataram, indonesia
Contact:

Re: Selalu Error saat Apt-get install

Postby R_knight » 20 May 2013, 10:44

kayaknya reponya yang lawas ne kang :(
maksudnya upgrade ubuntu dan repo old itu gimana kang ???
User avatar
Malsasa
Posts: 2971
Joined: 07 Jun 2010, 22:37
Location: Mojokerto, Indonesia
Contact:

Re: Selalu Error saat Apt-get install

Postby Malsasa » 20 May 2013, 11:06

Oke, oke.

Begini, sangat bagus jika akang menyebut dulu Ubuntu versi berapa yang akang pakai. Tanpa itu, kami tidak bisa membantu apa-apa.

Upgrade Ubuntu maksud saya, instal ulang dengan CD Ubuntu yang versi lebih baru. Misalnya instal 12.04.

Old repo itu repo lawas yang tidak diupdate lagi tapi masih dipertahankan di server. Namun, ini biasanya hanya tersedia di server luar negeri. Jadi, nanti instal aplikasi akan lebih lambat.
User avatar
offline
Posts: 2672
Joined: 17 Feb 2010, 21:03
Location: Kebumen

Re: Selalu Error saat Apt-get install

Postby offline » 20 May 2013, 11:35

1.sebutkan versi ubuntunya
2.jelaskan kronologis masalahnya dari awal,apakah barusan dioprek atau error sendiri
User avatar
R_knight
Posts: 26
Joined: 20 May 2013, 09:25
Location: mataram, indonesia
Contact:

Re: Selalu Error saat Apt-get install

Postby R_knight » 20 May 2013, 11:47

saya menggunakan ubuntu 12.04 lts ..,
dan masalahnya adalah saat saya ingin menggunakan perintah "Apt-get" pasti error ..,
and itu error setelah saya mengupdate melalui update managernya ..,
User avatar
Malsasa
Posts: 2971
Joined: 07 Jun 2010, 22:37
Location: Mojokerto, Indonesia
Contact:

Re: Selalu Error saat Apt-get install

Postby Malsasa » 20 May 2013, 12:00

Ini sources.list milik saya, Ubuntu 12.04 dengan repo Kambing.

Code: Select all

# deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release i386 (20120423)]/ raring main multiverse restricted universe
# deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release i386 (20120423)]/ quantal main restricted
# deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release i386 (20120423)]/ precise main restricted


# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://kambing.ui.ac.id/ubuntu/ precise main restricted
deb-src http://kambing.ui.ac.id/ubuntu/ precise main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://kambing.ui.ac.id/ubuntu/ precise-updates main restricted
deb-src http://kambing.ui.ac.id/ubuntu/ precise-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://kambing.ui.ac.id/ubuntu/ precise universe
deb-src http://kambing.ui.ac.id/ubuntu/ precise universe
deb http://kambing.ui.ac.id/ubuntu/ precise-updates universe
deb-src http://kambing.ui.ac.id/ubuntu/ precise-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://kambing.ui.ac.id/ubuntu/ precise multiverse
deb-src http://kambing.ui.ac.id/ubuntu/ precise multiverse
deb http://kambing.ui.ac.id/ubuntu/ precise-updates multiverse
deb-src http://kambing.ui.ac.id/ubuntu/ precise-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://kambing.ui.ac.id/ubuntu/ precise-backports main restricted universe multiverse
deb-src http://kambing.ui.ac.id/ubuntu/ precise-backports main restricted universe multiverse

deb http://kambing.ui.ac.id/ubuntu/ precise-security main restricted
deb-src http://kambing.ui.ac.id/ubuntu/ precise-security main restricted
deb http://kambing.ui.ac.id/ubuntu/ precise-security universe
deb-src http://kambing.ui.ac.id/ubuntu/ precise-security universe
deb http://kambing.ui.ac.id/ubuntu/ precise-security multiverse
deb-src http://kambing.ui.ac.id/ubuntu/ precise-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu precise partner
# deb-src http://archive.canonical.com/ubuntu precise partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu precise main
deb-src http://extras.ubuntu.com/ubuntu precise main


Masukkan ke sources.list akang. Hapus dulu semua isinya lalu baru paste ini ke situ.

INGAT! Backup dulu berkas sources.list akang.
INGAT JUGA! Ini sources.list yang saya ambil dari mesin 32 bit saya menggunakan Ubuntu 32 bit.
User avatar
nif
Posts: 2816
Joined: 31 Mar 2011, 07:48

Re: Selalu Error saat Apt-get install

Postby nif » 20 May 2013, 12:58

kalo menurut saya, error di atas karena dependensinya yang agak sulit (pake versi '=' , jadi malah error kalo di-upgrade). Dependensi yang seperti ini agak merepotkan sih, bahkan apt-get pun kesulitan menanganinya :confused:

btw, coba;
Tampilkan

Code: Select all

sudo dpkg --purge --force-remove-reinstreq libpam-winbind libwbclient0 samba-common mc mc-data winbind
sudo apt-get update
sudo apt-get install libpam-winbind mc winbind

cmiiw
User avatar
q_p
Posts: 3109
Joined: 14 Oct 2012, 13:01
Contact:

Re: Selalu Error saat Apt-get install

Postby q_p » 20 May 2013, 15:35

R_knight wrote:...
root@Acer:/home/made# sudo apt-get install mc
Reading package lists... Done
Building dependency tree
Reading state information... Done
...


Maksudnya Midnight Commander ?
User avatar
offline
Posts: 2672
Joined: 17 Feb 2010, 21:03
Location: Kebumen

Re: Selalu Error saat Apt-get install

Postby offline » 20 May 2013, 16:31

R_knight wrote:waduh itu gmana cara makenya ya ???
ini contoh mesagenya
error
root@Acer:/home/made# sudo apt-get install mc
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
libpam-winbind : Depends: libwbclient0 (= 2:3.6.3-2ubuntu2) but 2:3.6.3-2ubuntu2.6 is to be installed
Depends: samba-common (= 2:3.6.3-2ubuntu2) but 2:3.6.3-2ubuntu2.6 is to be installed
mc : Depends: mc-data (= 3:4.8.1-2ubuntu1) but it is not going to be installed
winbind : Depends: libwbclient0 (= 2:3.6.3-2ubuntu2) but 2:3.6.3-2ubuntu2.6 is to be installed
Depends: samba-common (= 2:3.6.3-2ubuntu2) but 2:3.6.3-2ubuntu2.6 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

coba baca ini om http://askubuntu.com/questions/140246/h ... pendencies ,di situ lengkap dituliskan step by step utk mengatasi masalah tsb.